-- This configuration has 2 video inputs each of which is encoded -- at IBBRBP AVC (high quality), IP (low quality), and MJPEG.


FORMAT	= "1080i";
VOUT	= "hdmi";

PREVIEW = 1;

-- streaming
HOST = HOST or "192.168.40.38";
SERVER = "NULL";

-- Streaming protocol 0 for nothing, 1 for UDP, 2 for RTP
STREAMING_ENCCH     = STREAMING_ENCCH or 0;
STREAMING_ENCCH_2   = STREAMING_ENCCH_2 or 0;

ENCCH_TO_STREAM = 4;
ENCCH_2_TO_STREAM = 4;

ENCCH_TO_STORE = 0;
ENCCH_2_TO_STORE = 0;
MJPEGCH_TO_STORE = 0;

--[[
-- single cloned input settings
--VIN = "svideo";
--INPUTFORMAT = "480i";
--MAIN_CAPTURE_FRAMES = 10;
--RENDER_BFF = 1;
--]]


MAIN_CAPTURE_FRAMES = 7;

-- no reconstructed frame preview, IP only
NUM_AVC_REFERENCES = 2;
AVC_RECON_PREVIEW_TIME_DELAY = -9009;

ENCCH = 4;
MAX_LVPP_USED = 4;
DECCH = 0;
ENCCH_2 = 4;
MJPEGCH = 0;

AUDIO_CODEC = "g711";
AUDIO_SAMPLE_RATE = 8000;
AUDIO_BIT_RATE = 16000;

ENCW_2 = 352;
ENCH_2 = 240;



SECONDARY_STC_PER_FRAME = 3003;
SECONDARY_STC_PER_OUTPUT_FRAME = 6006;


AVCDEC_REFERENCE_FRAMES = 7;


MAIN_GOP_STRUCTURE = "IBP";
--MAIN_GOP_STRUCTURE = "IP";
MAIN_FRAME_STRUCTURE = "mbaff";
NUM_AVC_REFERENCES = 8;
MAIN_CAPTURE_FRAMES = 10;

SECONDARY_GOP_STRUCTURE = "IP";
SECONDARY_FRAME_STRUCTURE = "frame";
SECONDARY_CLOSED_GOP = 1;

BITRATE = {};
BITRATE[1] = 1500000;
BITRATE[2] = 1500000;
BITRATE[3] = 1500000;
BITRATE[4] = 1500000;

BITRATE_2 = {};
BITRATE_2[1] = 375000;
BITRATE_2[2] = 375000;
BITRATE_2[3] = 375000;
BITRATE_2[4] = 375000;

MAIN_ENC_BUFFER_SIZE = 1500000;
SECONDARY_ENC_BUFFER_SIZE = 750000;

MAIN_ENC_GUARD_BAND = 200;
SECONDARY_ENC_GUARD_BAND = 200;

-- We need to set these to 0 for VLC 0.8.6h compatibility
MAIN_IP_FIELD_CODING = 0;
SECONDARY_IP_FIELD_CODING = 0;


SECONDARY_TF_Y_BYPASS = 1;


